/******************************************************************
Section __: Reduce the number of obs in the data set: the slide is crowded
*******************************************************************/
data MyClass;
set SAShelp.class;
if mod(_N_,7) in (0,1,2,4,6,7) ;
label Name="Student name";
run;

/******************************************************************
Section __: counting percenatges of age-sex as percent of sex - counts
*******************************************************************/
options mprint mlogic symbolgen;
%macro LoopMac;
Proc SQL;
select distinct age into :agelist separated by " "
from MyClass;
%put &agelist;

%let counter=1;
%do %while( %scan(&agelist,&counter) NE );
%let Thisage=%scan(&agelist,&counter);
   proc Print data=MyClass noobs;
	 where age=&thisage;
	 run;
   %let counter=%eval(&counter +1);
%end;
%mend LoopMac;

%loopmac;
