/******************************************************************
Section __: Reduce the number of obs in the data set: the slide is crowded
*******************************************************************/
data MyClass;
set SAShelp.class;
if mod(_N_,7) in (0,1,2,4,6,7) ;
label Name="Student name";
run;

/******************************************************************
Section __: ODS
*******************************************************************/
ods html body="c:\temp\ods_output.html";
proc SQL;
select * , height/age as HtPerYr 
from Myclass ;
quit;
ODS HTML close;



/******************************************************************
Section __:Traffic
*******************************************************************/
proc format ;
value tlite
low - 4.35 = "green"
4.35 <- 5.0 = "yellow"
5.0 <- high = "red" ;
;

proc SQL;
create table Traffic as
select * , height/age as HtPerYr 
from Myclass ;
quit;

proc format ;
value tlite
low - 4.35 = "green"
4.35 <- 5.0 = "yellow"
5.0 <- high = "red" ;
;

ods html body="c:\temp\Traffic.html";
proc report nowd data=traffic;
columns name age height HtPerYr;
define name /order;
define age  /display;
define HtPerYr/display format=4.1
style(column)={background=tlite.};
run;
ods html close ;

