/******************************************************************
Section __: Reduce the number of obs in the data set: the slide is crowded
*******************************************************************/
data MyClass;
set SAShelp.class;
if mod(_N_,7) in (0,1,2,4,6,7) ;
label Name="Student name";
run;



options nocenter;
Proc SQl;
select name, age
from MyClass
where Sex ="F";



options nocenter;
Proc SQl;
select 	name Label='StuNme'
		, age Label='StuAge'
from MyClass
where Sex ='F';

********************************;
Proc SQl;
create table fancy as
select 
name Label='StuNme'
, age Label='StuAge'
from MyClass
where Sex ="F";

proc print data=fancy label;
run;

*******************************;
Proc SQl;

select 
name Label='#'
, age Label='#'
from MyClass
where Sex ='F';

*******************************;
Proc SQl;
create table fancy as select 
name Label='#'
, age Label='#'
from MyClass
where Sex ='F';

proc print data=fancy ;
run;

proc print data=fancy label;
run;

Proc SQL;
select * from fancy;
run;

******************************;
Proc SQl;
select 
name Label="#"
, age Label="#" format=6.3
from MyClass
where Sex ="F";

*******************************;
Proc SQl;
create table fancy as select 
name
, age format=6.3
from MyClass
where Sex ='F';

proc print data=fancy label;
run;
