/******************************************************************
Section __: Reduce the number of obs in the data set: the slide is crowded
*******************************************************************/
data MyClass;
set SAShelp.class;
if mod(_N_,7) in (0,1,2,4,6,7) ;
label Name="Student name";
run;

/******************************************************************
Section __: counting percenatges of age-sex as percent of sex - counts
*******************************************************************/
Options nocenter;
Proc SQL;
select count(*) as frm_Count, Freq(name) as From_freq, N(name) as From_N
from Myclass;
quit;
****;
Options nocenter;
Proc SQL;
select count(*) as frm_Count, Freq(*) as From_freq, N(*) as From_N
from Myclass;
quit;

Options nocenter;
Proc SQL;
select count(name) as frm_Count
from Myclass;
quit;
**************************************;
data MyClassW_Miss;
set SAShelp.class;
if mod(_N_,7) in (0,1,2,4,6,7) ;
if mod(_N_,3) in (0) then name=""; ;
label Name="Student name";
run;
Proc Print data=MyClassW_Miss;
run;

Options nocenter;
Proc SQL;
select count(name) as CountNM
       ,count(*) as Count_star 
from MyClassW_Miss;;
quit;


*****************************************;
Options nocenter;
Proc SQL;
select name, N(age, height) as frm_N
from Myclass;
quit;

Options nocenter;
Proc SQL;
select name, sum(age, height) as row_stuff
from Myclass;
quit;

Options nocenter;
Proc SQL;
select name
	, Sum(age) as Col_age
 , sum (height) as Col_hgt
from Myclass;
quit;



Proc SQL;
select sum(sex="M") as Males 	
		,sum(sex="F") as Females 		
        ,sum(age in(14,15)) as older_kids
from MyClass;
run; 







**************************;
****;
OPTIONS NOCENTER;
Proc SQL _METHOD _TREE;
select COUNT(DISTINCT(SEX)) AS SEXES_IN_TABLE
from MyClass;
QUIT; 
