/******************************************************************
Section __: Reduce the number of obs in the data set: the slide is crowded
*******************************************************************/
data MyClass;
set SAShelp.class;
if mod(_N_,7) in (0,1,2,4,6,7) ;
label Name="Student name";
run;

/******************************************************************
Section __: counting percenatges of age-sex as percent of sex - counts
*******************************************************************/

proc SQL flow=15;
select * from dictionary.macros;

proc print data=SASHELP.Vmacro;
run;

proc SQL flow=15;
select * from dictionary.tables;

proc print data=SASHELP.Vtable;
run;

proc SQL flow=15;
select * from dictionary.columns;

proc print data=SASHELP.Vcolumn;
run;


/******************************************************************
Section __: Example
*******************************************************************/
proc SQL;
select memname into :filelist separated by " "
 from Dictionary.tables
 where libname="SASHELP" & MEMTYPE="DATA" ;
%put &filelist;

options nocenter;
%MACRO Check_Dir;
%let lp=1;
%do %while(%scan(&filelist,&Lp) NE);
%let ThisFl=(%scan(&filelist,&Lp);
 Proc Contents data=SASHelp.&thisFl;
 Proc Print data=SASHelp.&thisFl(obs=10);
 run;
 %let Lp+%eval(&Lp+1);
%end;
%MEND Check_Dir;
%Check_Dir;


