/******************************************************************
Section __: Reduce the number of obs in the data set: the slide is crowded
*******************************************************************/
data MyClass;
set SAShelp.class;
if mod(_N_,7) in (0,1,2,4,6,7) ;
label Name="Student name";
run;

/******************************************************************
Section __: counting percenatges of age-sex as percent of sex - counts
*******************************************************************/
Options nocenter;
Proc SQL;
/*create table look as*/
Select O.sex, O.age, Count(*) as count_age_sex
		,calculated count_age_sex/sex_total as Pct_of_Sex
from MyClass as O
		inner join
	(select sex, count(*) as sex_total from MyClass group by sex) as I
	on O.sex=I.sex
	group by O.sex, O.age;
	quit;
