
Section __: Reduce the number of obs in the data set: the slide is crowded
*******************************************************************/
data MyClass;
set SAShelp.class;
if mod(_N_,7) in (0,1,2,4,6,7) ;
label Name="Student name";
run;

/******************************************************************
Section __: counting percenatges of age-sex as percent of sex - counts
*******************************************************************/
Proc SQL;
select "There are", count(*) format=2.0, "students with gender= ",sex, " in the table"
from Myclass;
group by sex;

****;
Proc SQL;
select sum(sex="M") as Males 	
		,sum(sex="F") as Females 		
        ,sum(age in(14,15)) as older_kids
from MyClass;
run; 


****;
OPTIONS NOCENTER;
Proc SQL _METHOD _TREE;
select COUNT(DISTINCT(SEX)) AS SEXES_IN_TABLE
from MyClass;
QUIT; 

*******QC an obs with a where *********************;
Proc SQL InObs=3;
select * from MyClass
where sex="F";
quit;


************ data step functions ************************;
Proc SQL;
select * 
from  MyClass(drop= age--weight);
run;

Proc SQL;
select * 
from  MyClass(drop= a: w: H:);
run;

