/******************************************************************
Section __: Reduce the number of obs in the data set: the slide is crowded
*******************************************************************/
data MyClass;
set SAShelp.class;
if mod(_N_,7) in (0,1,2,4,6,7) ;
label Name="Student name";
run;


options nocenter;
proc SQL;
Create View just_guys as
select name, sex, age, Weight/2.2 as Wt_KG
from SAShelp.class as c
where sex="M";
; 

proc print data=just_guys;
run;

Proc Gchart data=just_guys;
pie age /discrete;
run;

Proc univariate data=just_guys;
run;

proc sql;
select * from just_guys;
run;


Libname OneSpot "C:\temp";
Libname ViewLoc "C:\Perm_Views";
data OneSpot.PermClass;
set MyClass;
run;

**************************;
Proc SQL;
create view ViewLoc.Metric as
select 	 name
		,Weight/2.2 as Wt_Kg 
		,height*2.25 as Hgt_cm
		from PermLoc.PermClass
		using libname PermLoc "C:\temp";

libname permLoc clear;
Proc print data=ViewLoc.Metric;
run;

